﻿B4R=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=1.5
@EndOfDesignText@


Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Public DHT1Temp As Double 
	Public DHT1Hum As Double 
	Public DHT1State As Int  ' 0 = OK, -1 = Checksum, -2 = Time out

	Public DHT2Temp As Double 
	Public DHT2Hum As Double 
	Public DHT2State As Int  ' 0 = OK, -1 = Checksum, -2 = Time out
End Sub

Sub ReadDHT1Data
	RunNative("ReadDHT1",Null)	
End Sub


#If C
#include "DHT.h"

#define DHT1Pin 13 //change here the IO-Pin 
//#define DHT2Pin 11

dht DHT;

void ReadDHT1(B4R::Object* o) {
 	int chk = DHT.read11(DHT1Pin);
	b4r_dht::_dht1state = chk;
	b4r_dht::_dht1hum  = DHT.humidity;
  	b4r_dht::_dht1temp = DHT.temperature;
}

#End If